:root {
    --bg-sidebar: #1d2127;
    --text-body-color: hsl(230, 11%, 22%);
    --primary: #ffc300;
    --gradient1: #152331;
    --gradient2: #000000;
    --black: #152331;
    --primary-rgb: 255, 195, 0;
}

*,
*::before,
*::after {
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
}

html {
    width: 100%;
    -webkit-text-size-adjust: 100%;
    -webkit-tap-highlight-color: rgba(0, 0, 0, 0);
}

body {
    font-family: "Poppins", Arial, sans-serif;
    line-height: 22px;
    margin: 0;
    font-size: 13px;
    background-color: #fff;
    color: var(--text-body-color);
}

a {
    color: #007bff;
    text-decoration: none;
    background-color: transparent;
}

a:hover {
    color: #0056b3;
    text-decoration: none;
}

a:not([href]):not([tabindex]) {
    color: inherit;
    text-decoration: none;
}

a:not([href]):not([tabindex]):hover,
a:not([href]):not([tabindex]):focus {
    color: inherit;
    text-decoration: none;
}

a:not([href]):not([tabindex]):focus {
    outline: 0;
}

img {
    vertical-align: middle;
    border-style: none;
}

.container {
    width: 100%;
    padding-right: 15px;
    padding-left: 15px;
    margin-right: auto;
    margin-left: auto;
}

hr {
    color: #575e64;
}

@media (min-width: 576px) {
    .container {
        max-width: 540px;
    }
}

@media (min-width: 768px) {
    .container {
        max-width: 720px;
    }
}

@media (min-width: 992px) {
    .container {
        max-width: 960px;
    }
}

@media (min-width: 1200px) {
    .container {
        max-width: 1140px;
    }
}

.container-fluid {
    width: 100%;
    padding-right: 15px;
    padding-left: 15px;
    margin-right: auto;
    margin-left: auto;
}

.row {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;
    margin-right: -15px;
    margin-left: -15px;
}

/* Sidebar */

#sidebar {
    background: var(--black);
    /* fallback for old browsers */
    background: -webkit-linear-gradient(to right, var(--gradient2), var(--gradient1));
    /* Chrome 10-25, Safari 5.1-6 */
    background: linear-gradient(to right, var(--gradient2), var(--gradient1));
    /* W3C, IE 10+/ Edge, Firefox 16+, Chrome 26+, Opera 12+, Safari 7+ */


    min-width: 270px;
    max-width: 270px;
    /* background: var(--bg-sidebar); */
    color: #fff;
    -webkit-transition: all 0.3s;
    -o-transition: all 0.3s;
    transition: all 0.3s;
}

#sidebar.active {
    min-width: 110px;
    max-width: 110px;
    text-align: center;
}

#sidebar ul.components li.active a {
    color: var(--primary);
}

#sidebar.active ul.components li a {
    padding: 10px 0;
    display: grid;
    gap: 0.5em;
}

#sidebar.active ul li a span {
    margin-right: 0;
}


#sidebar.active .logo {
    padding: 10px 0;
}

#sidebar.active .logo img {
    height: auto;
    width: 100%;
}

#sidebar.active .footer {
    display: none;
}

#sidebar .logo {
    display: block;
    color: #fff;
    font-weight: 900;
    padding: 10px 30px;
    -webkit-transition: 0.3s;
    -o-transition: 0.3s;
    transition: 0.3s;
}

@media (prefers-reduced-motion: reduce) {
    #sidebar .logo {
        -webkit-transition: none;
        -o-transition: none;
        transition: none;
    }
}

#sidebar ul.components {
    padding: 0;
    -webkit-transition: 0.3s;
    -o-transition: 0.3s;
    transition: 0.3s;
}

@media (prefers-reduced-motion: reduce) {
    #sidebar ul.components {
        -webkit-transition: none;
        -o-transition: none;
        transition: none;
    }
}

#sidebar ul li {
    font-size: 0.9rem;
}

#sidebar ul li>ul {
    margin-left: 10px;
}

#sidebar ul li>ul li {
    font-size: 0.6rem;
}

#sidebar ul li a {
    padding: 15px 30px;
    display: block;
    color: rgba(255, 255, 255, 0.8);
    border-bottom: 1px solid rgba(255, 255, 255, 0.1);
}

#sidebar ul li a span {
    margin-right: 15px;
}

@media (max-width: 991.98px) {
    #sidebar ul li a span {
        display: block;
    }
}

#sidebar ul li a:hover {
    color: #fff;
}

#sidebar ul li.active>a {
    background: transparent;
    color: #fff;
}

@media (max-width: 991.98px) {
    #sidebar {
        min-width: 0px;
        max-width: 0px;
        opacity: 0;
        transform: translateX(-100%);
        visibility: hidden;
        transition: all 0.3s ease;
    }

    #sidebar.active {
        opacity: 1;
        height: 100vh;
        transform: translateX(0);
        visibility: visible;
        min-width: 110px;
        max-width: 110px;
        text-align: center;
        /* margin-left: -80px !important; */
    }

    #sidebar.active {
        margin-left: 0 !important;
    }

    #sidebar ul.components li a {
        padding: 10px 0;
        display: grid;
        gap: 0.5em;
    }

    #sidebar ul li a span {
        margin-right: 0;
    }

    #sidebar .logo img {
        height: auto;
        width: 100%;
    }

    #sidebar .logo {
        padding: 10px 0;
    }
}

a[data-toggle="collapse"] {
    position: relative;
}

.dropdown-toggle {
    cursor: pointer;
}

.dropdown-toggle::after {
    display: block;
    position: absolute;
    top: 50%;
    right: 0;
    -webkit-transform: translateY(-50%);
    -ms-transform: translateY(-50%);
    transform: translateY(-50%);
}

@media (max-width: 991.98px) {
    #sidebarCollapse span {
        display: none;
    }
}

.footer {
    padding: 0 30px;
}

@media (max-width: 991.98px) {
    .footer {
        display: none;
    }
}

#content {
    width: 100%;
    padding: 0;
    min-height: 100vh;
    -webkit-transition: all 0.3s;
    -o-transition: all 0.3s;
    transition: all 0.3s;
}

.navbar {
    padding-top: 0px;
    background-color: #fff;
    box-shadow: 0 .75rem 1.5rem #12263f08;
}

.navbar>.container-fluid {
    box-shadow: 0 0.75rem 1.5rem #12263f08;
    align-items: center;
    display: flex;
    height: 70px;
    justify-content: space-between;
    margin: 0 auto;
    padding: 0 12px 0 0;
}

/* Button */
.btn {
    font-weight: 400;
    font-size: 0.8125rem;
    line-height: 1.5;
    padding: 0.47rem 0.75rem;
    text-align: center;
    transition: color 0.15s ease-in-out, background-color 0.15s ease-in-out,
        border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
    user-select: none;
    vertical-align: middle;
    box-shadow: inset 0 1px 0 #ffffff26, 0 1px 1px rgba(0, 0, 0, 0.075);
}

.btn:not(.rounded-circle) {
    min-width: 130px;
}

.btn-secondary {
    background-color: var(--bg-sidebar);
    border-color: var(--bg-sidebar);
    color: #fff;
}

.btn-outlined-secondary {
    background-color: #fff;
    color: var(--bg-sidebar);
    /* border-color: var(--bg-sidebar); */
}

.btn-primary,
.btn-primary.disabled,
.btn-primary:disabled {
    background-color: var(--primary);
    border-color: var(--primary);
    color: var(--bg-sidebar);

    background: #ffb347;
    /* fallback for old browsers */
    background: -webkit-linear-gradient(to right, #ffcc33, #ffb347);
    /* Chrome 10-25, Safari 5.1-6 */
    background: linear-gradient(to right, #ffcc33, #ffb347);
    border-color: #ffb347;

    /* W3C, IE 10+/ Edge, Firefox 16+, Chrome 26+, Opera 12+, Safari 7+ */

    /* W3C, IE 10+/ Edge, Firefox 16+, Chrome 26+, Opera 12+, Safari 7+ */


}

.btn-primary:hover {
    background-color: var(--bg-sidebar);
    border-color: var(--bg-sidebar);
    color: #fff;
}

div.dt-container .dt-paging .dt-paging-button.current,
div.dt-container .dt-paging .dt-paging-button.current:hover {
    background-color: var(--primary);
    border-color: var(--primary);
    color: var(--bg-sidebar);
}

.btn-icon {
    /* border-radius: 50%; */
    background-color: #ffffff !important;
    box-shadow: 0 5px 11px 0 rgba(0, 0, 0, 0.18),
        0 4px 15px 0 rgba(0, 0, 0, 0.15);
    font-size: 15px !important;
    border: 0;

}

/* Tables */

.table th {
    font-weight: 600;
}

.table> :not(:first-child) {
    border-top: 0 !important;
}

table.table td,
table.table th {
    padding-top: 1.1rem !important;
    padding-bottom: 1rem !important;
    white-space: nowrap;
}

.table tbody tr {
    box-shadow: 0px 4px 8px rgba(0, 0, 0, 0.075);
    transition: box-shadow 0.3s ease-in-out;
}

table.dataTable>thead>tr>th,
table.dataTable>thead>tr>td,
div.dt-container.dt-empty-footer tbody>tr:last-child>* {
    border-bottom: none;
}

table.dataTable thead th,
table.dataTable thead td,
table.dataTable tbody th,
table.dataTable tbody td {
    text-align: center !important;
}

table {
    width: 100%;
    table-layout: fixed;
}

.table-responsive {
    width: 100%;
    overflow-x: auto;
}

table {
    width: 100%;
    min-width: 600px;
    /* Force horizontal scroll on small screens */
}

/* Form */
form .row {
    margin-top: 1.3rem;
    margin-bottom: 1.3rem;
}

label {
    font-size: 14px;
    font-weight: 600;
    color: var(--color-text-secondary);
    margin-bottom: 8px;
    display: block;
}


.form-control,
.form-select {
    font-size: 13px;
    border-radius: 0.1rem;
    padding: .6rem .75rem;
    line-height: 1.7;
    width: 100%;
    border: 1.5px solid #e5e9f0;
    background: #fdfdfd;
    box-shadow: 0 15px 45px rgb(185 185 190 / 17%) !important;

}

.required::after {
    content: ' *';
    color: red;
    font-weight: bold;
}

.select2-container .select2-selection--single {
    height: 40px;
    border: 1.5px solid #e5e9f0;
    border-radius: 0.1rem;
    background: #fdfdfd;
    box-shadow: 0 15px 45px rgb(185 185 190 / 17%) !important;

}

.select2-container--default .select2-selection--single .select2-selection__rendered {
    line-height: 38px;
}

/* Modal */
.modal-dialog {
    min-width: 60%;
    margin: auto;
}

@media (max-width: 767px) {
    .modal-dialog {
        max-width: 90%;
        margin: auto;
    }
}

.modal-content {
    border-radius: 0;
    padding: 10px;
}

.modal-header {
    border-bottom: none;
}

.modal-footer {
    border-top: none;
}

.modal-title {
    font-size: 17px;
    font-weight: 600;
}

.close {
    background: transparent;
    border: none;
    font-size: 19px;
    font-weight: bold;
}

/* Dropdown */
.dropdown-menu {
    top: 40px !important;
    margin-right: -39px !important;
    right: 0;
    margin-top: 10%;
    border: none;
    border-radius: 0;
    box-shadow: rgba(100, 100, 111, 0.2) 0px 7px 29px 0px;
    padding-right: 10px;
    padding-left: 10px;
    min-width: 13rem;

}

.dropdown-menu a {
    padding: 0.5rem;
    margin-left: 0;
    font-size: 0.9rem;
    color: var(--text-body-color);
    white-space: nowrap;
}

.dropdown-toggle.no-icon::before {
    display: none;
}

/* Badge */

.badge-info {
    background-color: #50a5f12e !important;
    color: #50a5f1;
}

.badge-success {
    background-color: #34c38f2e !important;
    color: #34c38f;
}

.badge-warning {
    background-color: #f1b44c2e !important;
    color: #f1b44c;
}

.badge-danger {
    background-color: #f46a6a2e !important;
    color: #f46a6a;
}

.badge {
    padding: 1em 1em;
}

.progress {
    height: 0.5rem;
}

/* colors */
.bg-dark {
    background-color: var(--bg-sidebar) !important;
    color: var(--primary) !important;
}

.pull-right {
    float: right;
}

.pull-left {
    float: left;
}

.hidden {
    display: none;
}

.font-14 {
    font-size: 14px;
}

.border-l-1 {
    border-left: 1.5px solid;
}

.fw-medium {
    font-weight: 500;
}

.bg-card-light {
    /* background-color: hsl(0deg 0% 0% / 2%) !important; */

    background: linear-gradient(to right, #eeeef3, #efeff4);

}

.card.bg-card-light {
    border: 1px solid #e5e9f0 !important;
}